/*
 * Nombre del proyecto: Proyecto Arkanoid
 *
 * Nombre del fichero: struct.h
 *
 * Nombre de los autores: Grzegorz Adam Hankiewicz y Carlos Pereda Moreno
 *
 * Fecha: 18 de Enero del 2000
 *
 * Descripcin: Fichero con definiciones de estructuras comunes.
 */

/*
 * DEFINICIONES DE ESTRUCTURAS
 */

typedef struct t_datos_juego        DATOS_JUEGO;
typedef struct t_lista_borrado      LISTA_BORRADO;

struct t_datos_juego
{
   char mov_x, mov_y;
   int botones;
   int parar_juego;
   int tiempo;
   fixed longitud, angulo, dr, x_p, y_p, x_r;
   BITMAP *bola, *raqueta, *bmp, *ladrillos;
   unsigned char vidas;
   unsigned int puntos;
};

struct t_lista_borrado
{
   int tipo;
   int x, y, w, h;
   LISTA_BORRADO *next;
};
